Get monitors
Server:
https://{kibana_url}
- GET /api/synthetics/monitors
Get a list of monitors.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
Query Parameters
-
filterstring Additional filtering criteria.
-
locationsstring | string The locations to filter by.
-
pageinteger The page number for paginated results.
-
per_pageinteger The number of items to return per page.
-
projectsstring | string The projects to filter by.
-
querystring A free-text query string.
-
schedulesstring | string The schedules to filter by.
-
statusstring | string The status to filter by.
Tags to filter monitors.
-
useLogicalAndForenum | enum Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.
-
Values:
tagslocations
Response
A successful response.
Response Type: object